<template>
  <div style="width:100%;z-index:0;">
    <gmap-map
      :center="{lat, lng}"
      :zoom="12"
      :options="{ gestureHandling: 'greedy'}"
      style="width:100%;  height: 500px;"
    >
      <gmap-marker :position="{lat, lng}"></gmap-marker>
    </gmap-map>
    <br>
    <br>
  </div>
</template>
<script>
export default {
  computed: {
    lat() {
      let id = this.$store.getters.getPage.polygonId;
      if (id == "0") id = "1";
      const selected = this.$store.state.polygons.find(it => it.id === id);
      return selected.lat;
    },
    lng() {
      let id = this.$store.getters.getPage.polygonId;
      if (id == "0") id = "1";
      const selected = this.$store.state.polygons.find(it => it.id === id);
      return selected.lng;
    }
  }
};
</script>
<style>
</style>



